Description

It would be great if you could be able to set a standard value in the value map edit widget. This standard value should then automatically

be selected in the dropbox when you create a new object. As it is now the values are just sorted alphabetical in the dropbox and the first

value is chosen.

History

#1 - 2014-02-11 02:19 AM - Jürgen Fischer

Note: Such default values would conflict with the default values the data provider can deliver (eg. in postgres).

#2 - 2014-02-11 04:30 AM - Matthias Kuhn

This should be defined on the field and not on a widget IMO.

It is about the same level of abstraction as the domains/constraints discussed in Brighton.

I don't think this necessarily conflicts with default values by providers. This feature would need to be enabled explicitly and if disabled provider defaults

should be used.

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2018-01-29 04:42 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

I think this can be closed. The widget can now default to NULL values, or alternatively users can set default values for fields in a multitude of different

ways. Together these address the intended use case described here.
